{
  "name": "redaction",
  "version": "5.0.0",
  "private": true,
  "license": "MIT",
  "scripts": {
    "build": "nx build",
    "build-lint-all": "nx build --project=red-ui --configuration production --base-href /ui/ --output-hashing all",
    "build-paligo-styles": "mkdir -p dist/paligo-styles && sass --load-path=. paligo-styles/style.scss > dist/paligo-styles/redacto-theme.css",
    "i18n:extract": "ngx-translate-extract --input ./apps/red-ui/src ./libs/common-ui/src --output apps/red-ui/src/assets/i18n/{redact,scm}/{en,de}.json --clean --sort --format namespaced-json && prettier apps/red-ui/src/assets/i18n/*/*.json --write",
    "nx": "nx",
    "start": "nx serve",
    "update": "nx migrate latest",
    "localazy": "ts-node tools/localazy/src/index.ts",
    "migrate": "nx migrate --run-migrations",
    "workspace-generator": "nx workspace-generator",
    "analyze": "nx build --stats-json && webpack-bundle-analyzer dist/apps/red-ui/stats.json",
    "prepare": "husky install",
    "lint": "nx lint"
  },
  "lint-staged": {
    "*": "prettier --ignore-unknown --write",
    "*.{ts,js,html}": "eslint --fix"
  },
  "dependencies": {
    "@angular/animations": "16.2.9",
    "@angular/cdk": "16.2.8",
    "@angular/common": "16.2.9",
    "@angular/compiler": "16.2.9",
    "@angular/core": "16.2.9",
    "@angular/forms": "16.2.9",
    "@angular/material": "16.2.8",
    "@angular/platform-browser": "16.2.9",
    "@angular/platform-browser-dynamic": "16.2.9",
    "@angular/router": "16.2.9",
    "@angular/service-worker": "16.2.9",
    "@materia-ui/ngx-monaco-editor": "^6.0.0",
    "@messageformat/core": "^3.1.0",
    "@ngx-translate/core": "15.0.0",
    "@ngx-translate/http-loader": "8.0.0",
    "@nx/angular": "16.10.0",
    "@pdftron/webviewer": "10.5.0",
    "chart.js": "4.4.0",
    "dayjs": "1.11.10",
    "file-saver": "^2.0.5",
    "jszip": "^3.10.1",
    "jwt-decode": "^3.1.2",
    "keycloak-angular": "14.1.0",
    "keycloak-js": "22.0.4",
    "lodash-es": "^4.17.21",
    "monaco-editor": "0.43.0",
    "ng2-charts": "5.0.3",
    "ngx-color-picker": "15.0.0",
    "ngx-logger": "^5.0.11",
    "ngx-toastr": "17.0.2",
    "ngx-translate-messageformat-compiler": "6.5.0",
    "object-hash": "^3.0.0",
    "papaparse": "^5.4.0",
    "rxjs": "7.8.1",
    "sass": "1.69.3",
    "scroll-into-view-if-needed": "3.1.0",
    "streamsaver": "^2.0.5",
    "tslib": "2.6.2",
    "zone.js": "0.14.0"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "16.2.6",
    "@angular-devkit/core": "16.2.6",
    "@angular-devkit/schematics": "16.2.6",
    "@angular-eslint/builder": "16.2.0",
    "@angular-eslint/eslint-plugin": "16.2.0",
    "@angular-eslint/eslint-plugin-template": "16.2.0",
    "@angular-eslint/schematics": "16.2.0",
    "@angular-eslint/template-parser": "16.2.0",
    "@angular/cli": "16.2.6",
    "@angular/compiler-cli": "16.2.9",
    "@angular/language-service": "16.2.9",
    "@bartholomej/ngx-translate-extract": "^8.0.2",
    "@localazy/ts-api": "^1.0.0",
    "@nx/eslint-plugin": "16.10.0",
    "@nx/jest": "16.10.0",
    "@nx/linter": "16.10.0",
    "@nx/workspace": "16.10.0",
    "@schematics/angular": "16.2.6",
    "@types/file-saver": "^2.0.5",
    "@types/jest": "29.5.5",
    "@types/lodash-es": "4.17.9",
    "@types/node": "20.8.6",
    "@typescript-eslint/eslint-plugin": "6.8.0",
    "@typescript-eslint/parser": "6.8.0",
    "axios": "1.5.1",
    "dotenv": "16.3.1",
    "eslint": "8.51.0",
    "eslint-config-prettier": "9.0.0",
    "eslint-plugin-prettier": "5.0.1",
    "eslint-plugin-rxjs": "^5.0.2",
    "google-translate-api-browser": "^4.0.6",
    "husky": "^8.0.3",
    "jest": "29.7.0",
    "jest-environment-jsdom": "29.7.0",
    "jest-extended": "4.0.2",
    "jest-preset-angular": "13.1.2",
    "lint-staged": "15.0.1",
    "nx": "16.10.0",
    "nx-cloud": "16.5.2",
    "postcss": "8.4.31",
    "postcss-import": "15.1.0",
    "postcss-preset-env": "9.2.0",
    "postcss-url": "10.1.3",
    "prettier": "3.0.3",
    "sonarqube-scanner": "3.1.0",
    "superagent": "8.1.2",
    "superagent-promise": "^1.1.0",
    "ts-node": "10.9.1",
    "typescript": "5.1.6",
    "webpack": "5.89.0",
    "webpack-bundle-analyzer": "4.9.1",
    "xliff": "^6.1.0"
  }
}
